Entur Developer
Refunds

Refund

Server

Check refundable options and perform refunds on customer orders.


Check refundable

GET
https://api.entur.io/sales
/v1/refunds/options/{orderId}

By supplying a valid order id (and optional order line ids), this service will provide all existing refundable options that can be performed on that order's (and order line's) latest version

Check refundable › path Parameters

orderId
​string · required · style: simple

The id of the order that one would like to get or perform refund operations on

Check refundable › query Parameters

orderLineIds
​string[] · style: form · explode: true

An optional list of comma separated order line ids

orderVersion
​integer · style: form · explode: true

Get refund options for a specific Order version. The Order in this version must be in status CONFIRMED

includeCancelled
​boolean · style: form · explode: true

Lets refund know that it can include already cancelled order lines when constructing refund options. Only usable from a Sørvis client

Check refundable › Headers

Authorization
​string · required · style: simple

Authorization header

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Check refundable › Responses

OK

A response detailing all refundable options for an order
optionIdsThatCanBePerformedTogether
​array[] · unique · required

A set of option ids that are possible to refund together. If only one option is returned, this will be empty. Ids are only valid inside the scope of a RefundOptionResponse

​RefundOption[] · required

All the refundable options for a given order, or options for requested order lines

Default: []
​OrderReference · required

Wrapper detailing a OrderReference to an instance


Refund order

PUT
https://api.entur.io/sales
/v1/refunds/{orderId}

By supplying a valid order id and refund-operations, this service will perform a refund on the provided entries.

Refund order › path Parameters

orderId
​string · required · style: simple

The id of the order that one would like to get or perform refund operations on

Refund order › Headers

Authorization
​string · required · style: simple

Authorization header

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

Entur-Settlement-Id
​string · style: simple

An id for connecting a credit to a settlement

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Refund order › Request Body

A request for performing a refund
​PerformRefundEntry[] · required

A list of refund operations which will specify order line, optionally where in the product tree the change occurs, and how much money should be refunded with this change

​TerminalRefundingData

Holder for data that needs to be provided when performing a refund on an external terminal

includesCancelledOrderLines
​boolean

Lets refund know that the request will include already cancelled order lines, and to handle them accordingly

Refund order › Responses

OK

A summary about a performed refund.
orderId
​string · required

ID of the refunded order.

affectedOrderLineIds
​string[] · required

List containing the IDs of the affected order lines.

Default: []
creditId
​integer · int64 · required

ID of the performed Credit

​object · pattern: \\d+ · required

Map containing one or more payment ids, mapping to its transaction ids that have been affected by the credit operation

disabledTicketIds
​integer[] · required

List containing the IDs of the disabled tickets.

Default: []

Perform a 'dry-run' of a refund

PUT
https://api.entur.io/sales
/v1/refunds/{orderId}/dry-run

By supplying a valid order id and refund-operations, this service will perform a 'dry-run' of a refund and return the total refund amount, possible fees and affected transactions

Perform a 'dry-run' of a refund › path Parameters

orderId
​string · required · style: simple

The id of the order that one would like to get or perform refund operations on

Perform a 'dry-run' of a refund › Headers

Authorization
​string · required · style: simple

Authorization header

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

Entur-Settlement-Id
​string · style: simple

An id for connecting a credit to a settlement

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Perform a 'dry-run' of a refund › Request Body

A request for performing a refund
​PerformRefundEntry[] · required

A list of refund operations which will specify order line, optionally where in the product tree the change occurs, and how much money should be refunded with this change

​TerminalRefundingData

Holder for data that needs to be provided when performing a refund on an external terminal

includesCancelledOrderLines
​boolean

Lets refund know that the request will include already cancelled order lines, and to handle them accordingly

Perform a 'dry-run' of a refund › Responses

OK

A representation of a complete refundable option
orderId
​string · required

The id of the order used

totalRefundAmount
​string · required

The total amount that will be refunded if refund is called with the provided input

​DryRunRefundFee[] · required

The fees that will be added to the order if refund is called with the provided input

​AffectedPaymentTransaction[] · required

A summary list of which payment and its transactions that will be affected if refund is run with the provided input


Did you find what you were looking for?